import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxNDYsInVzZXJfa2V5IjoiMzNlZDY0YjItYzFmYS00ZWVlLWIyYmQtNWU5NTVmMTExYzZlIiwidXNlcm5hbWUiOiIxNTc3Nzc3Nzc3NyJ9.yTkT_5YDIqOkTf_Lqe09yKQjVqZ4v8n0UqTW0uELvV0fMJJiL3lqEpvILcHqEJafWmLF-8-rO3AajVFVlRAKCg'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
